Subject: Re: linux-next: manual merge of the drivers-x86 tree with the watchdog tree

From: Darren Hart <[email-masked]>
Date: Tue, 2 May 2017 14:30:46 -0700

On Tue, May 02, 2017 at 11:57:18PM +0300, Andy Shevchenko wrote:
> On Tue, May 2, 2017 at 11:21 PM, Darren Hart <[email-masked]> wrote:
> > On Tue, May 02, 2017 at 12:12:17PM -0700, Guenter Roeck wrote:
> >> On Tue, May 02, 2017 at 11:09:40AM -0700, Darren Hart wrote:
> >> > On Tue, May 02, 2017 at 02:04:03PM +1000, Stephen Rothwell wrote:
> 
> > From my perspective, the most direct solution would be to drop these two patches
> > from the watchdog tree and let them go through the platform driver x86 tree with
> > Guenter's Acked-by. If you have additional patches which depend on these two,
> > then if you will provide an immutable branch we can merge, we can do that too
> > (but I try to keep the number of external merges to a minimum - which is
> > becoming increasingly difficult lately for some reason).
> 
> Sorry for not being in doubt, I just decided that Ack from Guenter
> means that default case is to go through PDx86 tree without any
> additional agreement.

I assumed that was the case, yes. I read through the thread and would have
thought the same. As Guenter is directing us to Wim, I think the MAINTAINERS
file doesn't really capture the logistics of the watchdog maintainer model, as a
Reviewed-by from a listed maintainer wouldn't be typical unless they expected
someone else to merge it - in this case, I suppose Guenter meant Wim and not us
:-)

-- 
Darren Hart
VMware Open Source Technology Center